MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025462Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-11-11 13:012020-10-07 16:20
Reporterink 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0025462: BRepAlgoAPI_Fuse not work correctly for a planar face
DescriptionBRepAlgoAPI_Fuse not work correctly for a planar face. The result is a face with internal edges. Use the command "bfuse" for attached files.
Steps To Reproducetest bugs modalg_7 bug25462
TagsNo tags attached.
Test case numberbugs/modalg_7/bug25462
Attached Files? file icon f1 (909 bytes) 2014-11-11 13:01
? file icon f2 (475 bytes) 2014-11-11 13:02
? file icon f3 (476 bytes) 2014-11-11 13:02
? file icon f4 (860 bytes) 2014-11-11 13:03
png file icon bfuse.png (29,227 bytes) 2015-01-12 13:40
png file icon fuse.png (41,802 bytes) 2015-01-12 13:40

- Relationships
parent of 0026489closedski Open CASCADE The class ShapeUpgrade_UnifySameDomain provides the results that are wrong or difficult to explain. 
parent of 0026488closedbugmaster Open CASCADE The class ShapeUpgrade_UnifySameDomain is not documented. 

-  Notes
(0035041)
msv (developer)
2014-12-05 10:42

Dear ink, please give in steps to reproduce the script that produces the error result.
Trying to fuse all 4 faces gives correct result - a shell with 7 faces.
(0035952)
ink (developer)
2015-01-12 13:41

step to reproduce:
bfuse r f1 f2
bfuse r r f3
bfuse r r f4

Result is a shell with 7 faces. If you use the command "fuse" then you will get one face as result.See attached pictures.
(0035959)
msv (developer)
2015-01-12 15:53

Dear Peter, please make feasibility analysis of this request.
(0039930)
abv (manager)
2015-04-17 00:16

The functionality to join together samedomain faces is provided by separate tool, see command "unifysamedom" in DRAW. It can be reasonable to enhance BOP with additional option to run this operation automatically on the result. The potential problem can be in tracing the merge modification for OCAF naming and similar uses.
(0094837)
emv (developer)
2020-09-15 14:44

This should be solved by #28747 which (on the API level) provides the option to simplify result of BOP.
(0094839)
git (administrator)
2020-09-15 15:10

Branch CR25462 has been created by emv.

SHA-1: ab208cd2bd8ca2e384f8c7aa5b4e08e7e8198b77


Detailed log of new commits:

Author: emv
Date: Tue Sep 15 15:13:10 2020 +0300

    0025462: BRepAlgoAPI_Fuse not work correctly for a planar face
    
    Fixed by 0028747. Integrating test case only.
(0094891)
emv (developer)
2020-09-15 23:21

Dear Mikhail, could you please review the git branch CR25462?
Test results:
http://occt-tests/CR25462-master-emv-OCCT/Debian80-64/bugs/modalg_7/bug25462.html [^]
http://occt-tests/CR25462-master-emv-OCCT/Windows-64-VC14/bugs/modalg_7/bug25462.html [^]
(0094899)
msv (developer)
2020-09-16 09:46

For integration:
occt - CR25462
(0095080)
bugmaster (administrator)
2020-09-19 17:22

Combination -
OCCT branch : IR-2020-09-18
master SHA - b0b766826118f74b9857a932b8cec8c52a25c492
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-09-18 SHA - a6486d839da1ba1383ef6cc1a1a446a172f494c7
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17528.97000000011 / 17378.390000000145 [+0.87%]
Products
Total CPU difference: 12127.32000000009 / 12079.540000000095 [+0.40%]
Windows-64-VC14:
OCCT
Total CPU difference: 18862.703125 / 18898.921875 [-0.19%]
Products
Total CPU difference: 13314.828125 / 13329.21875 [-0.11%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095120)
git (administrator)
2020-09-20 11:13

Branch CR25462 has been deleted by inv.

SHA-1: ab208cd2bd8ca2e384f8c7aa5b4e08e7e8198b77

- Related Changesets
occt: master 242af8c2
Timestamp: 2020-09-15 12:13:10
Author: emv
Committer: bugmaster
Details ] Diff ]
0025462: BRepAlgoAPI_Fuse not work correctly for a planar face

Fixed by 0028747. Integrating test case only.
add - tests/bugs/modalg_7/bug25462 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-11 13:01 ink New Issue
2014-11-11 13:01 ink Assigned To => msv
2014-11-11 13:01 ink File Added: f1
2014-11-11 13:02 ink File Added: f2
2014-11-11 13:02 ink File Added: f3
2014-11-11 13:03 ink File Added: f4
2014-12-05 10:42 msv Note Added: 0035041
2014-12-05 10:42 msv Assigned To msv => ink
2014-12-05 10:42 msv Status new => feedback
2015-01-12 13:40 ink File Added: bfuse.png
2015-01-12 13:40 ink File Added: fuse.png
2015-01-12 13:41 ink Note Added: 0035952
2015-01-12 13:42 ink Assigned To ink => msv
2015-01-12 15:53 msv Note Added: 0035959
2015-01-12 15:53 msv Assigned To msv => pkv
2015-01-12 15:53 msv Status feedback => assigned
2015-04-17 00:16 abv Note Added: 0039930
2015-04-17 00:16 abv Target Version 7.0.0 => 7.1.0
2015-04-17 11:03 aiv Project Internal => Open CASCADE
2015-07-28 12:14 pkv Relationship added parent of 0026489
2015-07-28 12:14 pkv Relationship added parent of 0026488
2016-10-28 18:57 msv Assigned To pkv => msv
2016-10-28 18:57 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:22 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0
2019-08-12 16:45 msv Target Version 7.4.0 => 7.5.0
2020-09-14 22:54 msv Target Version 7.5.0 => 7.6.0*
2020-09-15 14:42 emv Relationship added related to 0028747
2020-09-15 14:44 emv Note Added: 0094837
2020-09-15 14:45 emv Assigned To msv => emv
2020-09-15 14:45 emv Target Version 7.6.0* => 7.4.0
2020-09-15 15:10 git Note Added: 0094839
2020-09-15 23:21 emv Note Added: 0094891
2020-09-15 23:21 emv Assigned To emv => msv
2020-09-15 23:21 emv Status assigned => resolved
2020-09-15 23:21 emv Steps to Reproduce Updated View Revisions
2020-09-16 09:46 msv Note Added: 0094899
2020-09-16 09:46 msv Assigned To msv => bugmaster
2020-09-16 09:46 msv Status resolved => reviewed
2020-09-19 15:47 bugmaster Test case number => bugs/modalg_7/bug25462
2020-09-19 17:22 bugmaster Note Added: 0095080
2020-09-19 17:22 bugmaster Status reviewed => tested
2020-09-20 10:55 bugmaster Changeset attached => occt master 242af8c2
2020-09-20 10:55 bugmaster Status tested => verified
2020-09-20 10:55 bugmaster Resolution open => fixed
2020-09-20 11:13 git Note Added: 0095120
2020-10-07 16:20 abv Target Version 7.4.0 => 7.5.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker